import test from "ava";
import assert from "../../client/assert.js";

test("quick assert test", async (t) => {
  let assert_ran = false;

  try {
    // confirm assert works inside FSM
    assert(false, "This should fail.");
  } catch(error) {
    assert_ran = true;
  }

  t.is(assert_ran, true);

});
